Bug 1463095 - Add support for v4 of the RHV api in event monitoring
Add support for v4 of the RHV api in event monitoring
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Boriso
Ilanit Stein
rhev
: TestOnly, ZStream
Depends On:
Blocks: 1463275
  Show dependency treegraph
 
Reported: 2017-06-20 02:33 EDT by Boriso
Modified: 2018-01-09 11:41 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1463275 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Boriso 2017-06-20 02:33:00 EDT
Currently the event fetching mechanism in CFME uses api3.
An option to use version 4 of the api instead should be added.
Comment 4 Ilanit Stein 2017-12-13 05:28:22 EST
Verified on:
CFME-5.9.0.12 ( ovirt-sdk api (V4) is turned ON by default on CFME-5.9 ) ,
RHV-4.1.8

Add VM on RHV side, and checked that in evm.log, OvirtSDK4 is mentioned, along with event related to the new created VM:


[----] I, [2017-12-13T05:20:13.771104 #21743:86f13c]  INFO -- : MIQ(MiqQueue.put) Message id: [36891],  id: [], Zone: [default], Role: [event], Server: [], Ident: [ems], Target id: [5], Instance id: [], Task id: [], Command: [EmsEvent.add], Timeout: [600], Priority: [100], State: [ready], Deliver On: [], Data: [], Args: [{:event_type=>"USER_ADD_VM", :source=>"RHEVM", :message=>"VM TEST was created by admin@internal-authz.", :timestamp=>Wed, 13 Dec 2017 05:19:54 -0500, :username=>"admin@internal-authz", :full_data=>#<OvirtSDK4::Event:0x0000000960c058 @href="/ovirt-engine/api/events/1489804", @comment=nil, @description="VM TEST was created by admin@internal-authz.", @id="1489804", @name="USER_ADD_VM", @cluster=#<OvirtSDK4::Cluster:0x00000009617728 @href="/ovirt-engine/api/clusters/00000002-0002-0002-0002-00000000017f", @comment=nil, @description=nil, @id="00000002-0002-0002-0002-00000000017f", @name=nil, @affinity_groups=nil, @ballooning_enabled=nil, @cpu=nil, @cpu_profiles=nil, @custom_scheduling_policy_properties=nil, @data_center=nil, @display=nil, @enabled_features=nil, @error_handling=nil, @fencing_policy=nil, @gluster_hooks=nil, @gluster_service=nil, @gluster_tuned_profile=nil, @gluster_volumes=nil, @ha_reservation=nil, @ksm=nil, @mac_pool=nil, @maintenance_reason_required=nil, @management_network=nil, @memory_policy=nil, @migration=nil, @network_filters=nil, @networks=nil, @optional_reason=nil, @permissions=nil, @required_rng_sources=nil, @scheduling_policy=nil, @serial_number=nil, @supported_versions=nil, @switch_type=nil, @threads_as_cores=nil, @trusted_service=nil, @tunnel_migration=nil, @version=nil, @virt_service=nil>, @code=34, @correlation_id="0e9450c2-a887-4ea4-ab55-702e6446636f", @custom_data=nil, @custom_id=-1, @data_center=#<OvirtSDK4::DataCenter:0x0000000961a630 @href="/ovirt-engine/api/datacenters/c2aba05a-113b-494c-9be4-c1add73d694b", @comment=nil, @description=nil, @id="c2aba05a-113b-494c-9be4-c1add73d694b", @name=nil, @clusters=nil, @iscsi_bonds=nil, @local=nil, @mac_pool=nil, @networks=nil, @permissions=nil, @qoss=nil, @quota_mode=nil, @quotas=nil, @status=nil, @storage_domains=nil, @storage_format=nil, @supported_versions=nil, @version=nil>, @flood_rate=30, @host=nil, @index=1489804, @origin="oVirt", @severity="normal", @storage_domain=nil, @template=nil, @time=Wed, 13 Dec 2017 05:19:54 -0500, @user=#<OvirtSDK4::User:0x000000096239d8 @href="/ovirt-engine/api/users/0000002c-002c-002c-002c-0000000001e9", @comment=nil, @description=nil, @id="0000002c-002c-002c-002c-0000000001e9", @name=nil, @department=nil, @domain=nil, @domain_entry_id=nil, @email=nil, @groups=nil, @last_name=nil, @logged_in=nil, @namespace=nil, @password=nil, @permissions=nil, @principal=nil, @roles=nil, @ssh_public_keys=nil, @tags=nil, @user_name=nil>, @vm=#<OvirtSDK4::Vm:0x000000096212c8 @href="/ovirt-engine/api/vms/9ed5f7c3-61ea-466e-995a-aa539ae54bac", @comment=nil, @description=nil, @id="9ed5f7c3-61ea-466e-995a-aa539ae54bac", @name=nil, @bios=nil, @cluster=nil, @console=nil, @cpu=nil, @cpu_profile=nil, @cpu_shares=nil, @creation_time=nil, @custom_compatibility_version=nil, @custom_cpu_model=nil, @custom_emulated_machine=nil, @custom_properties=nil, @delete_protected=nil, @display=nil, @domain=nil, @high_availability=nil, @initialization=nil, @io=nil, @large_icon=nil, @lease=nil, @memory=nil, @memory_policy=nil, @migration=nil, @migration_downtime=nil, @origin=nil, @os=nil, @quota=nil, @rng_device=nil, @serial_number=nil, @small_icon=nil, @soundcard_enabled=nil, @sso=nil, @start_paused=nil, @stateless=nil, @storage_domain=nil, @time_zone=nil, @tunnel_migration=nil, @type=nil, @usb=nil, @virtio_scsi=nil, @affinity_labels=nil, @applications=nil, @cdroms=nil, @disk_attachments=nil, @external_host_provider=nil, @floppies=nil, @fqdn=nil, @graphics_consoles=nil, @guest_operating_system=nil, @guest_time_zone=nil, @host=nil, @host_devices=nil, @instance_type=nil, @katello_errata=nil, @next_run_configuration_exists=nil, @nics=nil, @numa_nodes=nil, @numa_tune_mode=nil, @original_template=nil, @payloads=nil, @permissions=nil, @placement_policy=nil, @reported_devices=nil, @run_once=nil, @sessions=nil, @snapshots=nil, @start_time=nil, @statistics=nil, @status=nil, @status_detail=nil, @stop_reason=nil, @stop_time=nil, @tags=nil, @template=nil, @use_latest_template_version=nil, @vm_pool=nil, @watchdogs=nil>>, :ems_id=>5, :vm_ems_ref=>"/api/vms/9ed5f7c3-61ea-466e-995a-aa539ae54bac", :host_ems_ref=>nil, :ems_cluster_ems_ref=>"/api/clusters/00000002-0002-0002-0002-00000000017f", :vm_location=>"/rhev/data-center/c2aba05a-113b-494c-9be4-c1add73d694b/mastersd/master/vms/9ed5f7c3-61ea-466e-995a-aa539ae54bac/9ed5f7c3-61ea-466e-995a-aa539ae54bac.ovf"}]
[----] I, [2017-12-13T05:20:14.867861 #25933:86f13c]  INFO -- : MIQ(MiqServer#populate_queue_messages) Fetched 1 miq_queue rows for queue_name=ems, wcount=1, priority=200

Note You need to log in before you can comment on or make changes to this bug.